<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Indexer/etc/indexer.xsd">
    <indexer id="beehive_attribute" view_id="beehive_attribute" class="FiloBlu\Refilo\Remote\AttributeIndexer">
        <title>Beehive Attribute Reindex</title>
        <description>Beehive Attribute Reindex</description>
        <dependencies>
            <indexer id="catalog_product_attribute" />
        </dependencies>
    </indexer>
    <indexer id="beehive_product" view_id="beehive_product" class="FiloBlu\Refilo\Remote\ProductIndexer">
        <title>Beehive Product Reindex</title>
        <description>Beehive Product Reindex</description>
        <dependencies>
            <indexer id="catalog_product_attribute" />
        </dependencies>
    </indexer>
    <indexer id="beehive_disabled_product" view_id="beehive_disabled_product" class="FiloBlu\Refilo\Remote\DisabledProductIndexer">
        <title>Beehive Disabled Product Reindex</title>
        <description>Beehive Disabled Product Reindex</description>
    </indexer>
    <indexer id="beehive_category" view_id="beehive_category" class="FiloBlu\Refilo\Remote\CategoryIndexer">
        <title>Beehive Category Reindex</title>
        <description>Beehive Category Reindex</description>
    </indexer>
    <indexer id="beehive_price" view_id="beehive_price" class="FiloBlu\Refilo\Remote\PriceIndexer">
        <title>Beehive Price Reindex</title>
        <description>Beehive Price Reindex</description>
        <dependencies>
            <indexer id="catalog_product_price"/>
        </dependencies>
    </indexer>
    <indexer id="beehive_stock" view_id="beehive_stock" class="FiloBlu\Refilo\Remote\StockIndexer">
        <title>Beehive Stock Reindex</title>
        <description>Beehive Stock Reindex</description>
        <dependencies>
            <indexer id="cataloginventory_stock"/>
        </dependencies>
    </indexer>
    <indexer id="beehive_categories_product" view_id="beehive_categories_product" class="FiloBlu\Refilo\Remote\CategoriesProductIndexer">
        <title>Beehive Product Categories Reindex</title>
        <description>Beehive Product Categories Reindex</description>
        <dependencies>
            <indexer id="catalog_category_product" />
            <indexer id="catalog_product_category"/>
        </dependencies>
    </indexer>
    <indexer id="catalog_product_price">
        <dependencies>
            <indexer id="catalogrule_product" />
        </dependencies>
    </indexer>
    <indexer id="beehive_category_permissions" view_id="beehive_category_permissions" class="FiloBlu\Refilo\Remote\CategoryPermissionsIndexer">
        <title>Beehive Category Permissions Reindex</title>
        <description>Beehive Category Permissions Reindex</description>
        <dependencies>
            <indexer id="beehive_category" />
        </dependencies>
    </indexer>
    <indexer id="beehive_urls" view_id="beehive_urls" class="FiloBlu\Refilo\Remote\UrlsIndexer">
        <title>Beehive Urls</title>
        <description>Export Urls</description>
    </indexer>
    <indexer id="beehive_related" view_id="beehive_related" class="FiloBlu\Refilo\Remote\RelatedIndexer">
        <title>Beehive Related Reindex</title>
        <description>Beehive Related Reindex</description>
    </indexer>
    <indexer id="beehive_linked_product_bridge" view_id="beehive_linked_product_bridge" class="FiloBlu\Refilo\Remote\LinkedProductBridge">
        <title>Beehive Linked Product Reindex</title>
        <description>Beehive Linked Product Reindex</description>
    </indexer>
    <indexer id="beehive_url_product_bridge" view_id="beehive_url_product_bridge" class="FiloBlu\Refilo\Remote\UrlProductBridge">
        <title>Beehive Url Product Reindex</title>
        <description>Beehive Url Product Reindex</description>
    </indexer>
    <indexer id="beehive_url_category_bridge" view_id="beehive_url_category_bridge" class="FiloBlu\Refilo\Remote\UrlCategoryBridge">
        <title>Beehive Url Category Reindex</title>
        <description>Beehive Url Category Reindex</description>
    </indexer>
    <indexer id="beehive_url_page_bridge" view_id="beehive_url_page_bridge" class="FiloBlu\Refilo\Remote\UrlPageBridge">
        <title>Beehive Url Page Reindex</title>
        <description>Beehive Url Page Reindex</description>
    </indexer>
    <indexer id="beehive_product_filter" view_id="beehive_product_filter" class="FiloBlu\Refilo\Remote\ProductFilterIndexer">
        <title>Beehive Product Filter Reindex</title>
        <description>Beehive Product Filter Reindex</description>
    </indexer>
    <indexer id="filoblu_flow_stock_bridge" view_id="filoblu_flow_stock_bridge" class="FiloBlu\Refilo\Remote\FlowStockIndexerBridge">
        <title>FiloBlu Flow Stock Bridge</title>
        <description>FiloBlu Flow Stock Bridge</description>
        <dependencies>
            <indexer id="filoblu_flow_stock" />
        </dependencies>
    </indexer>
</config>
